#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "../inc/lc6_crypto.h"
#include "../inc/lc6_user.h"
#include "../inc/lc6_config.h"

LC6_USER* lc6user_create(void) {
	LC6_USER *user = malloc(sizeof(LC6_USER));
	assert(user);
	memset(user, 0, sizeof(LC6_USER));

	return lc6crypto_genuserkey(user);
}

void lc6user_free(LC6_CTX *conf, LC6_USER *user) {
	assert(conf);

	if ( !user )
		return;

	if ( user->next )
		user->next->prev = user->prev;

	if ( user->prev )
		user->prev->next = user->next;

	if ( conf->user == user )
		conf->user = user->next;

	free(user);
}
